<?
# Автор движка: InstalScript
# vk.com/k.karamin  - Я Вк
# bymas.ru/id3741  - Я на бумасе
# Специально для обитателей bymas.ru
# Ток на бумасе можно найти моды для данного движка
require_once($_SERVER['DOCUMENT_ROOT']."/instalscript/game/inc/function.php");
head("Апгрейд танка",$uid); # Голова

$tnk = mysql_fetch_assoc(mysql_query("SELECT * FROM `utank` WHERE `uid` = '".$uid."' AND `id` = '".abs($is['1'])."' "));


function upgrade($level){
if($level == '1'){$silver = '10000';$gold = '250';}
if($level == '2'){$silver = '15000';$gold = '400';}
if($level == '3'){$silver = '40000';$gold = '700';}
if($level == '4'){$silver = '60000';$gold = '950';}
if($level == '5'){$silver = '80000';$gold = '1500';}
return "$silver/$gold";
}




echo "
<div class='trnt-block'>
<div class='wrap1'><div class='wrap2'><div class='wrap3'><div class='wrap4'><div class='wrap5'><div class='wrap6'><div class='wrap7'><div class='wrap8'>
<div class='wrap-content'>
";

echo logs();logn();

if($tnk == null){
echo "Танк не найден";
}else{
switch($is['1']){
default:

$up = explode("/",upgrade($tnk['upgrade']));
$up_silver = $up['0'];
$up_gold = $up['1'];

if($is['2'] == 'up'){
if($up_silver <= $user['silver'] && $up_gold <= $user['gold'])
{
if($tnk['upgrade'] <= '5'){
mysql_query("UPDATE `utank` SET `ha` = `ha` + '100',`hb` = `hb` + '100',`hc` = `hc` + '100',`ho` = `ho` + '100',`upgrade` = `upgrade` + '1' WHERE `id` = '".$tnk['id']."' ")or die(mysql_error());
mysql_query("UPDATE `users` SET `gold` = `gold` - '".$up_gold."',`silver` = `silver` - '".$up_silver."' WHERE `id` = '".$uid."' ");
}
}else{logi("Нехватает средств");}
header("Location:/upgrade/".$tnk['id']."/");
exit();
}

echo "
<div class = 'trnt-block mb2'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'wrap-content-mini'><div class = 'mt5 mb5 small green1 cntr'>
Каждый уровень апгрейда повышает все параметры танка на 100, всего 5 уровней
</div></div>
</div></div></div></div></div></div></div></div>
</div>
";
echo"<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>";
echo"<div class = 'wrap-content'>";

echo "<table>";
echo "
<td>
<img src = '/instalscript/images/icons/damage.jpg'>Урон <span class = 'green2'>".$my_tank['ha']."</span><br>
<img src = '/instalscript/images/icons/armor.jpg'>Броня <span class = 'green2'>".$my_tank['hb']."</span><br>
<img src = '/instalscript/images/icons/durability.jpg'>Прочность <span class = 'green2'>".$my_tank['ho']."</span><br>
<img src = '/instalscript/images/icons/accuracy.jpg'>Точность <span class = 'green2'>".$my_tank['hc']."</span><br>
</td>
";

echo "<td><div class = 'cntr'><img class = 'tank-img' src = '/tankimage_".$tnk['tid']."_1.jpg'></div></td>";
echo "</table>";
echo"</div></div></div></div></div></div></div></div></div>";


if($tnk['upgrade'] <= '5')
{echo "<a class = 'simple-but border' href = '/upgrade/".$tnk['id']."/up/'><span><span>Повысить все параметры на 100 за ";
if($up_silver > '0'){echo "<img class = 'ico vm' src = '/instalscript/images/icons/silver.png' alt = 'Серебро' title = 'Серебро'> ".$up_silver."";}
if($up_gold > '0'){echo "<img class = 'ico vm' src = '/instalscript/images/icons/gold.png' alt = 'Золото' title = 'Золото'> ".$up_gold."";}
echo "</span></span></a>";
}
else
{echo "<span class = 'simple-but border'><span><span>Повышение параметров не требуется</span></span></span>";}


break;
}
}
echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/angar/'><span><span>Вернуться в ангар</span></span></a></div>";
echo "
</div>
</div></div></div></div></div></div></div></div>
</div>
";
foot($uid); # Ноги

?>